import { UmbLitElement } from '../../lit-element/index.js';
import type { UUIComboboxElement } from '../../../../external/uui/index.js';
import type { UmbTimeZone } from '../../utils/index.js';
export interface UmbTimeZoneOption extends UmbTimeZone {
    offset: string;
}
declare const UmbInputTimeZonePickerElement_base: import("../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../validation/index.js").UmbFormControlMixinElement<string>> & typeof UmbLitElement;
/**
 * @element umb-input-time-zone-picker
 */
export declare class UmbInputTimeZonePickerElement extends UmbInputTimeZonePickerElement_base {
    #private;
    /**
     * Disables the input
     * @type {boolean}
     * @attr
     * @default false
     */
    disabled: boolean;
    /**
     * Sets the input to readonly mode, meaning value cannot be changed but still able to read and select its content.
     * @type {boolean}
     * @attr
     * @default false
     */
    readonly: boolean;
    set options(value: UmbTimeZoneOption[]);
    get options(): UmbTimeZoneOption[];
    private _filteredOptions;
    protected _input?: UUIComboboxElement;
    /**
     *
     */
    constructor();
    focus(): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbInputTimeZonePickerElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-time-zone-picker': UmbInputTimeZonePickerElement;
    }
}
